#include "teamDescription.h"

TeamDescription::TeamDescription()
{
  name = new QLabel("Name: Pikachu");
  nivo = new QLabel("Level: 1");
  defeats = new QLabel("Lose: 18");
  winnings = new QLabel("Win: 2");
  image = new QLabel;
  descriptionBox = new QGroupBox;
  descriptionLay = new QGridLayout;
  stats["XP"] = new QProgressBar;
  stats["HP"] = new QProgressBar;
  stats["ATK"] = new QProgressBar;
  stats["DEF"] = new QProgressBar;
  stats["SPD"] = new QProgressBar;
  stats["SAT"] = new QProgressBar;
  stats["SDF"] = new QProgressBar;
  avatarBox = new QGroupBox;
  infoBox = new QGroupBox;
  statsBox = new QGroupBox;
  avatarLay = new QGridLayout;
  infoLay = new QGridLayout;
  statsLay = new QGridLayout;
}

TeamDescription::~TeamDescription()
{

}

void	TeamDescription::doStats()
{
  int x = 0;
  //char tab[7][4] = {"XP", "HP", "ATK", "DEF", "SPD", "SAT", "SDF"};
  char tab2[7][12] = {"EXP", "HP", "ATTACK", "DEFENSE", "SPEED", "SPE ATTACK", "SPE DEFENSE"};
  QMap<QString, QProgressBar *>::iterator it = this->stats.begin();
  while (it != this->stats.end())
    {
      (*it)->setMaximum(160);
      (*it)->setFormat(tab2[x] + QString(": 50"));
      (*it)->setValue(50);
      this->statsLay->addWidget((*it), x, 0);
      it++;
      x++;
    }
}

void TeamDescription::display(QGridLayout *grille)
{
  this->image->setPixmap(QPixmap("./images/1.png"));
  this->avatarLay->addWidget(this->image, 0, 0);
  this->avatarBox->setLayout(this->avatarLay);
  this->infoLay->addWidget(this->name, 0, 0);
  this->infoLay->addWidget(this->nivo, 1, 0);
  this->infoLay->addWidget(this->winnings, 2, 0);
  this->infoLay->addWidget(this->defeats, 3, 0);
  this->infoBox->setLayout(this->infoLay);
  this->doStats();
  this->statsBox->setLayout(this->statsLay);
  this->descriptionLay->addWidget(this->avatarBox, 0, 0);
  this->descriptionLay->addWidget(this->infoBox, 0, 1);
  this->descriptionLay->addWidget(this->statsBox, 0, 2);
  this->descriptionBox->setLayout(this->descriptionLay);
  grille->addWidget(descriptionBox, 5, 0, 4, 5);
}
