#ifndef __TEAMDESCRIPTION__
#define __TEAMDESCRIPTION__

#include <QMap>
#include <QLabel>
#include <QGroupBox>
#include <QGridLayout>
#include <QProgressBar>

class TeamDescription
{
 public:
  TeamDescription();
  ~TeamDescription();
  void display(QGridLayout *grille);
  void doStats();
 private:
  QLabel *nivo;
  QLabel *image;
  QLabel *name;
  QLabel *defeats;
  QLabel *winnings;
  QGridLayout *descriptionLay;
  QGroupBox *descriptionBox;
  QGroupBox *avatarBox;
  QGroupBox *infoBox;
  QGroupBox *statsBox;
  QGridLayout *avatarLay;
  QGridLayout *infoLay;
  QGridLayout *statsLay;
  QMap<QString, QProgressBar *> stats;
};

#endif
