#ifndef __WINDOW__
#define __WINDOW__

#include <QPushButton>
#include <QMessageBox>
#include <QApplication>
#include <QWidget>
#include <QPushButton>
#include <QGridLayout>
#include <QGroupBox>
#include <QLabel>
#include <QComboBox>
#include <QPlainTextEdit>
#include <QLineEdit>
#include <QStringList>
#include <QTreeWidgetItem>
#include <iostream>
#include <QProgressBar>
#include <QFrame>
#include <QMap>
#include <QVector>
#include "xmlParser.h"
#include "xmlCreator.h"
#include "description.h"

class Window : public QWidget
{
  Q_OBJECT
 public:
  Window();
  ~Window();
  QGridLayout *getGrille();

 public slots:
  void find(QTreeWidgetItem* item, int column);
  void search(QString name);
  void teamer(QTreeWidgetItem *item, int column);

 private:
  Description	*description;
  QPushButton	*exit;
  QGridLayout	*grille;
  QGridLayout	*layout;
  QLineEdit	*nameForm;
  QGroupBox	*descriptionBox;
  QTreeWidget	*treeWidget;
  void		searchPart();
  QString	pokemonName;
  QMap<int, QString> result;
};

#endif
