#include "xmlCreator.h"

XmlCreator::XmlCreator()
{
  if (!QFile("teams.xml").exists())
    initialise();
}

XmlCreator::~XmlCreator()
{

}

void XmlCreator::initialise()
{
  QDomDocument doc("teams.xml");
  QDomElement root = doc.createElement("PokemonTeam");
  doc.appendChild(root);

  QDomElement tag = doc.createElement("Leader");
  root.appendChild(tag);

  QDomText t = doc.createTextNode("Jack");
  tag.appendChild(t);

  QString xml = doc.toString();
  std::cout << qPrintable(xml) << std::endl;
  //QFile *fd = new QFile;
  //fd->open("teams.xml", QIODevice::WriteOnly);
}
