#ifndef XMLELEMENT_H
# define XMLELEMENT_H

#include <QString>
#include <QList>

class xmlElement
{
 public:
  xmlElement(QString, QString = 0, QString = 0, QString = 0);
  ~xmlElement();
  xmlElement(const xmlElement&);
  xmlElement& operator=(const xmlElement&);

  void	setNodeName(const QString);
  void	setNodeValue(const QString);
  void	setIdName(const QString);
  void	setIdValue(const QString);
  //  void	setFather(const QList<xmlElement>);
  void	setChildren(QList<xmlElement> *);

  QString getNodeName() const;
  QString getNodeValue() const;
  QString getIdName() const;
  QString getIdValue() const;
  //  QList<xmlElement> getFather() const;
  QList<xmlElement> *getChildren() const;

 private:
  xmlElement();
  QString		nodeName;
  QString		nodeValue;
  QString		idName;
  QString		idValue;
  //  QList<xmlElement>	father;
  QList<xmlElement>	*children;
};

#endif /* !XMLELEMENT_H */
