#ifndef __DESCRIPTION__
#define __DESCRIPTION__

class Description
{
 public:
  Description();
  ~Description();
  void display(QString, QGridLayout *);
  void doStats(int);
 private:
  QMap<int, QLabel*> tab;
  XmlParser *xml;
  QMap<QString, QString> info;
  QGroupBox *descriptionBox;
  QString path;
  QLabel *att;
  QLabel *eg;
  QLabel *evol;
  QMap<QString, QProgressBar *> stat;
  QPlainTextEdit *description;
  QPlainTextEdit *evolution;
  QPlainTextEdit *attack;
  QPlainTextEdit *egg;
  QGridLayout *layout;
  QLabel *image;
};

#endif
