#include "mainWindow.h"
#include "teamWindow.h"

MainWindow::MainWindow()
{
  zoneCentrale = new QWidget;
  tab = new QTabWidget(this);
  QTextEdit *text = new QTextEdit;
  QVBoxLayout *lay = new QVBoxLayout;
  pokedex = new Window;
  team = new TeamWindow;
  arena = new ArenaWindow;
  lay->addWidget(text);
  pokedex->setLayout(pokedex->getGrille());
  team->setLayout(team->getGrille());
  QVBoxLayout *layout = new QVBoxLayout;
  tab->addTab(pokedex, "Pokedex");
  tab->addTab(team, "Team");
  tab->addTab(arena, "Arena");
  layout->addWidget(tab);
  zoneCentrale->setLayout(layout);
  setCentralWidget(zoneCentrale);
}

MainWindow::~MainWindow()
{
  delete pokedex;
  delete team;
  delete arena;
}
