#ifndef __MAINWINDOW__
#define __MAINWINDOW__

#include <QApplication>
#include <QMainWindow>
#include <QLineEdit>
#include <QTextEdit>
#include <QVBoxLayout>
#include <QMdiArea>
#include <QMdiSubWindow>
#include <QMenu>
#include <QMenuBar>
#include <QAction>
#include <QToolBar>
#include <QDockWidget>
#include <QStatusBar>
#include <QProgressBar>
#include <QLabel>
#include <QMessageBox>
#include "window.h"
#include "arenaWindow.h"
#include "teamWindow.h"

class MainWindow: public QMainWindow
{
public:
  MainWindow();
  ~MainWindow();
  QTextEdit *pageActuelle();

private:
  QWidget *zoneCentrale;
  QTabWidget *tab;
  Window *pokedex;
  TeamWindow *team;
  ArenaWindow *arena;
};

#endif
