#ifndef XMLMANAGER_H
# define XMLMANAGER_H

#include <QString>
#include <QList>

#include "xmlElement.h"

class xmlManager
{
 public:
  xmlManager(QString);
  ~xmlManager();
  xmlManager(xmlManager &);
  xmlManager&       operator=(xmlManager &);

  void                addElem(const QString, const QString = 0);
  void                addElemId(const QString, const QString, const QString = 0);
  void		      writeXml() const;
  //void		      readXml(const QString);
  /* void                removeEventsAt(unsigned int); */
  /* void                dumpEventAt(unsigned int) const; */
  /* void                addTime(unsigned int); */
  /* void                addEventList(std::list<Event>&); */

  private:
  xmlManager();
  QString		xmlFileName;
  QList<xmlElement>	       list;
};

#endif /* !XMLMANAGER_H */
