#ifndef __XMLPARSER__
#define __XMLPARSER__

#include <Qt/qdom.h>
#include <QFile>
#include <stdio.h>
#include <iostream>
#include <QMap>
#include <QVector>
#include <QMessageBox>

class XmlParser
{
 public:
  XmlParser();
  ~XmlParser();
  void getInfos(QString name);
  QMap<QString, QString> getMap();
  QString getAttacks();
  QString getEggs();
  QString getEvo();
  QVector<QString> search(QString, bool);
 private:
  QMap<QString, QString> infos;
  QMap<int, QString> attacks;
  QDomDocument doc;
  QDomElement root;
  QDomElement child;
  QDomElement gChild;
  QDomElement ggChild;
  QDomElement gggChild;
  QFile f;
  QVector<QString > results;
  QVector<QString > eggs;
  QVector<QString > evo;
};

#endif
